Page MenuHomeFreeBSD

Update Intel XL710 PF and VF drivers to version ixl-1.11.9 and ixlv-1.5.8
ClosedPublic

Authored by krzysztof.galazka_intel.com on May 17 2019, 12:58 PM.

Details

Summary

Update legacy (non-iflib) drivers in 11-STABLE branch with recent changes from out-of-tree version.

Major changes:

  • Support for new BASE-T device with additional link speeds (2.5G and 5G) and EEE.
  • Additional I2C access methods backported from ixl-iflib
  • FW LLDP Agent control with sysctl added also for X722 devices
  • MAC/VLAN filters handling refactored
  • Fix building and loading if_ixlv as KLD
Test Plan

Respectfully requesting our Validation Team to perform a test pass before committing.

Diff Detail

Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 24696
Build 23463: arc lint + arc unit

Event Timeline

ae added a comment.May 19 2019, 8:46 AM

Can you also update ixv driver? We discovered problems with ixv+VLANs on some KVM hosts with the stock driver, but the driver 1.5.15 from Intel's site works well.

marius accepted this revision.May 22 2019, 5:56 PM

Looks good to me; still needs re@ approval via the usual change request procedure for committing to stable/11 during the freeze, though.

krzysztof.galazka_intel.com edited the summary of this revision. (Show Details)

Changes in Netmap support for ixl caused that ixlv cannot be loaded when built as KLD. Move ixl specific Netmap includes from ixl_txrx.c file, which is shared by ixl and ixlv, to ixl_pf_main.c which is used only by ixl.

ixlv: Use old implementation of _msec_pause for reset flow to avoid panic.

This is a temporary solution. There is a bigger change in VF driver coming which will make this obsolete but it won't be ready on time for 11.3.

This revision is now accepted and ready to land.Jun 15 2019, 2:03 PM
erj closed this revision.Jun 24 2019, 6:39 PM
erj added a subscriber: erj.

This was committed to stable/11 in rS349163 and releng/11.3 in rS349181.